petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCFieldSplitGetType

Gets the type of fieldsplit preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitGetType(PC pc, PCCompositeType *type)

Not collective

### Input Parameter

pc -the preconditioner context

### Output Parameter

type -PC_COMPOSITE_ADDITIVE, PC_COMPOSITE_MULTIPLICATIVE (default), PC_COMPOSITE_SYMMETRIC_MULTIPLICATIVE, PC_COMPOSITE_SPECIAL, PC_COMPOSITE_SCHUR

### Keywords

PC, set, type, composite preconditioner, additive, multiplicative

### See Also

PCCompositeSetType()

Level:Intermediate
Location:src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages